Loading...
Searching...
No Matches
COMPS_RefC Struct Reference

`#include <comps_mm.h>`

## Data Fields

size_t | ref_count
void(* | destructor )(void *)
void * | obj

## Detailed Description

Reference counter structure

## Field Documentation

## destructor

void(* COMPS_RefC::destructor) (void *)

callback destructor, called when reference count fall bellow 1

## obj

void* COMPS_RefC::obj

pointer to counted object itself

## ref_count

size_t COMPS_RefC::ref_count

actual reference count for object

The documentation for this struct was generated from the following file:

- comps_mm.h